import request from '@/utils/request'

// 查询一键评论列表
export function listQuickComment(query) {
  return request({
    url: '/live/quickComment/list',
    method: 'get',
    params: query
  })
}

// 查询一键评论详细
export function getQuickComment(id) {
  return request({
    url: '/live/quickComment/' + id,
    method: 'get'
  })
}

// 新增一键评论
export function addQuickComment(data) {
  return request({
    url: '/live/quickComment',
    method: 'post',
    data: data
  })
}

// 修改一键评论
export function updateQuickComment(data) {
  return request({
    url: '/live/quickComment',
    method: 'put',
    data: data
  })
}

// 删除一键评论
export function delQuickComment(ids) {
  return request({
    url: '/live/quickComment/' + ids,
    method: 'delete'
  })
}

// 保存排序
export function sortQuickComment(data) {
  return request({
    url: '/live/quickComment/sort',
    method: 'put',
    data: data
  })
}
